Authentication

ZoomInfo uses OAuth 2.0 to authenticate every API request. Create an application, obtain an access token using the appropriate OAuth flow, and include the token as a Bearer token in every request.

Choose the right authentication flow

The authentication flow depends on how your application accesses ZoomInfo APIs.

Use caseAuthentication flow
Your application accesses ZoomInfo on behalf of a signed-in userAuthorization Code Flow (PKCE)
Your application runs server-to-server without user interactionClient Credentials Flow
You're building a Partner application for customer organizationsAuthorization Code Flow (PKCE)

Using the access token

After creating your application, use Test API Access to generate an access token and make your first API request before integrating with your own application.

After authentication, include the access token in the Authorization header for every API request.

Authorization: Bearer YOUR_ACCESS_TOKEN